commit ac9fc48b5f019af9b5bf4b41c8193acf821a1525
Author: freddy77 <freddy77>
Date:   Sun Jan 13 20:37:59 2008 +0000

    Add missing tests

diff --git b/ChangeLog a/ChangeLog
index 403a684..9ce0774 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,6 +1,3 @@
-Sun Jan 13 21:36:56 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* configure.ac: add missing tests for heavy loads backport
-
 Sat Jan 12  1:21:09 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/blob1.c: small fix for 64bit
 	* src/tds/net.c: fix for heavy loads
@@ -51,4 +48,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.10 2008/01/13 20:37:59 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.9 2008/01/12 00:21:39 freddy77 Exp $
diff --git b/configure.ac a/configure.ac
index f4d877a..d9bfaec 100644
--- b/configure.ac
+++ a/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.29.2.4 2008/01/13 20:37:59 freddy77 Exp $
+dnl $Id: configure.ac,v 1.29.2.3 2008/01/11 12:46:52 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.82RC2)
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.29.2.4 $)
+AC_REVISION($Revision: 1.29.2.3 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -217,8 +217,7 @@ AC_CHECK_MEMBERS([struct tm.__tm_zone],,,[#include <sys/types.h>
 #include <$ac_cv_struct_tm>
 ])
 AC_CHECK_HEADERS([unistd.h errno.h wchar.h sys/time.h sys/types.h \
-sys/param.h sys/stat.h sys/wait.h limits.h locale.h odbcss.h readpassphrase.h \
-signal.h libgen.h poll.h])
+sys/param.h sys/stat.h sys/wait.h limits.h locale.h odbcss.h readpassphrase.h signal.h libgen.h])
 if test $tds_mingw = no; then
 	AC_CHECK_HEADERS([sys/socket.h arpa/inet.h netdb.h netinet/in.h \
 netinet/tcp.h paths.h sys/ioctl.h langinfo.h])
@@ -385,7 +384,7 @@ gethrtime localtime_r])
 OLD_LIBS="$LIBS"
 LIBS="$LIBS $NETWORK_LIBS"
 AC_CHECK_FUNCS([inet_ntoa_r getipnodebyaddr getipnodebyname \
-getaddrinfo getnameinfo inet_ntop gethostname poll])
+getaddrinfo getnameinfo inet_ntop gethostname])
 LIBS="$OLD_LIBS"
 AC_REPLACE_FUNCS([asprintf vasprintf atoll strtok_r readpassphrase \
 strlcpy strlcat basename])

